import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:gifunavi/routes/app_pages.dart';

// 要検討：ログインボタンとサインアップボタンの配色を見直すことを検討してください。現在の配色では、ボタンの役割がわかりにくい可能性があります。
// ボタンのテキストをローカライズすることを検討してください。
//
class LandingPage extends StatefulWidget {
  const LandingPage({ super.key });

  @override
  State<LandingPage> createState() => _LandingPageState();
}

class _LandingPageState extends State<LandingPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: Container(
          width: double.infinity,
          height: MediaQuery.of(context).size.height,
          padding: const EdgeInsets.symmetric(horizontal: 30,vertical: 30),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Column(
                crossAxisAlignment: CrossAxisAlignment.center,
                children: [
                  const Text(
                    "こんにちは!",
                    style: TextStyle(fontWeight: FontWeight.bold, fontSize: 40),
                  ),
                  const SizedBox(height: 30,),
                  Text("ログインを有効にして本人確認を行うと、サーバーが改善されます",
                      textAlign: TextAlign.center,
                      style: TextStyle(
                        color: Colors.grey[700],
                        fontSize: 15
                      ),
                  ),
                  Container(
                    height: MediaQuery.of(context).size.height/3,
                    decoration: const BoxDecoration(
                      image:DecorationImage(image: AssetImage('assets/images/gradient_japanese_temple.jpg'))
                    ),
                  ),
                  const SizedBox(height: 20.0,),
                  MaterialButton(
                    minWidth: double.infinity,
                    height:60,
                    onPressed: (){
                      Get.toNamed(AppPages.LOGIN);
                    },
                    color: Colors.indigoAccent[400],
                    shape: RoundedRectangleBorder(
                      side: const BorderSide(
                        color: Colors.black,
                      ),
                      borderRadius: BorderRadius.circular(40)
                    ),
                    child: const Text("ログイン",style: TextStyle(
                      fontWeight: FontWeight.w600,fontSize: 16,color: Colors.white70

                    ),
                    ),
                  ),
                  const SizedBox(height: 15.0,),

                  MaterialButton(
                      minWidth: double.infinity,
                      height:60,
                      onPressed: (){
                        Get.toNamed(AppPages.REGISTER);
                      },
                      color: Colors.redAccent,
                      shape: RoundedRectangleBorder(
                          borderRadius: BorderRadius.circular(40)
                      ),
                      child: const Text("サインアップ",style: TextStyle(
                        fontWeight: FontWeight.w600,fontSize: 16,

                      ),),
                    ),	
   
                ],
              )
            ],
          ),
        ),
      ),
    );
  }
}